Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.kernel.basic
Class KernalBasic_LoggingExpressor

    java.lang.Object
      things.thinger.kernel.basic.KernalBasic_LoggingExpressor

All Implemented Interfaces:
  ExpressionInterface

    public class KernalBasic_LoggingExpressor

extends java.lang.Object
implements ExpressionInterface

This implements a logging based expressor. This doesn't really belong here.

This might a tinge slow, since we are asking the SI for the calling process ID.

Version:
  1.0

  Version History

      EPG - Initial - 12 JUN 07

Author:
  Erich P. Gatejen

Constructor Summary
`KernalBasic_LoggingExpressor(Logger logger, SystemInterface si)` Constructor.

Method Summary
`void` | `expressResult(RESULT theResult)` Express a RESULT.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernalBasic_LoggingExpressor

    public KernalBasic_LoggingExpressor(Logger logger,
                                        SystemInterface si)
                                 throws ThingsException

  Constructor.

  Parameters:
    `logger` - the logger to which we express.
    `si` - the system interface.
  Throws:
    `ThingsException` - if either parameter is null.

Method Detail

### expressResult

    public void expressResult(RESULT theResult)
                       throws SystemException

  Express a RESULT. Reliability is up to the kernel; you will not get a receipt.

  Specified by:
    `expressResult` in interface `ExpressionInterface`
  Parameters:
    `theResult` - The result to express.
  Throws:
    `SystemException`
  See Also:
    `RESULT`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.